The Ministry of Silly Walks

9.1 147

v1.2.7 by Boondoggle Studios Ltd

The Ministry of Silly Walks The Ministry of Silly Walks
Price:$1.99

About The Ministry of Silly Walks

The Ministry of Silly Walks (Package Name: com.boondogglestudios.sillywalks) is developed by Boondoggle Studios Ltd and the latest version of The Ministry of Silly Walks 1.2.7 was updated on January 23, 2015. The Ministry of Silly Walks is in the category of Action. You can check all apps from the developer of The Ministry of Silly Walks and find 18 alternative apps to The Ministry of Silly Walks on Android. The current price of this app is $1.99.  This app can be downloaded on 2.3 and up on APKFab or Google Play. All APK/XAPK files on APKFab.com are original and 100% safe with fast download. Unleash your silly walk across London in this stupendously addictive game
Happy New Year!
It may have stopped snowing but some exciting updates are coming soon, keep walking!
----
Monty Python invites you to join that British bastion of eccentric loco-motion - The Ministry of Silly Walks
Your assignment as a member of this venerable organisation is to showcase your increasingly frantic promenading as far as you possibly can.
As you and your stiff upper lip travel through the streets of London take care to avoid obstacles and pesky pigeons. Bank coins and collect power ups to help take your walk to new heights of silliness.
• Warning! Highly addictive
• Voice acting by the Minister of Silly Walks himself, Mr John Cleese
• Randomised obstacles and scenery - Never play the same game twice
• Use your banked coins to buy sillier suits and enhanced power ups
• Sumptuous 3D Graphics
• Realistic physics and ragdoll
• Regular updates
DISCLAIMER:
No comedy legends were harmed in the making of this game.
Ministry of Silly Walks sketch © Copyright Python (Monty) Pictures Limited 2014
Read More
The Ministry of Silly Walks Features
More Information

Category:

Action Games

Update Date:

2015-01-23

Latest Version:

1.2.7

Need Update:

Submit latest version

Available on:

Google Play

Requirements:

2.3 and up